gnutls_rsa_params_export_raw(3)

NAME
gnutls_rsa_params_export_raw - API function

SYNOPSIS
#include <gnutls/compat.h>

int gnutls_rsa_params_export_raw(gnutls_rsa_params_t rsa, gnutls_datum_t * m, gnutls_datum_t * e, gnutls_datum_t * d, gnutls_datum_t * p, gnutls_datum_t * q, gnutls_datum_t * u, unsigned int * bits);

ARGUMENTS

gnutls_rsa_params_t rsa
    a structure that holds the rsa parameters

gnutls_datum_t * m
    will hold the modulus

gnutls_datum_t * e
    will hold the public exponent

gnutls_datum_t * d
    will hold the private exponent

gnutls_datum_t * p
    will hold the first prime (p)

gnutls_datum_t * q
    will hold the second prime (q)

gnutls_datum_t * u
    will hold the coefficient

unsigned int * bits
    if non null will hold the prime's number of bits

DESCRIPTION
This function will export the RSA parameters found in the given structure. The new parameters will be allocated using gnutls_malloc() and will be stored in the appropriate datum.

RETURNS
GNUTLS_E_SUCCESS on success, or an negative error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/